## com.baidubce.auth
Class BceV1Signer

    java.lang.Object
      com.baidubce.auth.BceV1Signer

All Implemented Interfaces:
  Signer

    public class BceV1Signer

extends Object
implements Signer

The V1 implementation of Signer with the BCE signing protocol.

Constructor Summary
`BceV1Signer()`

Method Summary
`void` `sign(InternalRequest request, BceCredentials credentials)` Equivalent to sign(request, credentials, SignOptions.DEFAULT).
`void` `sign(InternalRequest request, BceCredentials credentials, SignOptions options)` Sign the given request with the given set of credentials.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BceV1Signer

    public BceV1Signer()

Method Detail

### sign

    public void sign(InternalRequest request,
                     BceCredentials credentials)

  Description copied from interface: `Signer`
  Equivalent to sign(request, credentials, SignOptions.DEFAULT).

  Specified by:
    `sign` in interface `Signer`
  Parameters:
    `request` - the request to sign.
    `credentials` - the credentials to sign the request with.
  See Also:
    `Signer.sign(InternalRequest, BceCredentials)`

### sign

    public void sign(InternalRequest request,
                     BceCredentials credentials,
                     SignOptions options)

  Sign the given request with the given set of credentials. Modifies the passed-in request to apply the signature.

  Specified by:
    `sign` in interface `Signer`
  Parameters:
    `request` - the request to sign.
    `credentials` - the credentials to sign the request with.
    `options` - the options for signing.

Copyright © 2016. All rights reserved.